## ETextEventProcessor ETextEventProcessor |

## Functions

gint | e_text_event_processor_handle_event ()

## Properties

gboolean | allow-newlines | Read / Write

## Signals

void | command | Run Last

## Object Hierarchy

        GObject
        ╰── ETextEventProcessor
            ╰── ETextEventProcessorEmacsLike

## Description

## Functions

### e_text_event_processor_handle_event ()

    gint
    e_text_event_processor_handle_event (ETextEventProcessor *tep,
                                         ETextEventProcessorEvent *event);

## Types and Values

## Property Details

### The `“allow-newlines”` property

      “allow-newlines”           gboolean

Allow newlines.

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“command”` signal

    void
    user_function (ETextEventProcessor *etexteventprocessor,
                   gpointer             arg1,
                   gpointer             user_data)

Flags: Run Last